Last Comment Bug 649551 - Needs to back out bug 59109 only from Aurora
: Needs to back out bug 59109 only from Aurora
Status: RESOLVED FIXED
[aurora-backout]
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: 5 Branch
: All All
: -- normal (vote)
: mozilla5
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 59109
  Show dependency treegraph
 
Reported: 2011-04-12 19:15 PDT by Masayuki Nakano [:masayuki] (Mozilla Japan)
Modified: 2011-04-18 05:00 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
Patch (118.09 KB, patch)
2011-04-12 19:15 PDT, Masayuki Nakano [:masayuki] (Mozilla Japan)
christian: approval‑mozilla‑aurora+
Details | Diff | Review

Description Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-04-12 19:15:44 PDT
Created attachment 525597 [details] [diff] [review]
Patch

We need to back out bug 59109 due to it has a problem.

I asked about the aurora checkin rule in #introduction and to LegNeato. But LegNeato said that the rule isn't defined right now.

Temporary, I post a back out patch. And we should get approval for it.

I'm going to post the patch to tryserver.
Comment 1 Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-04-12 19:17:21 PDT
The patch makes new iid for nsIDOMCSS2Properties. And xbl-forms.css has been already removed from tree.
Comment 2 :Ehsan Akhgari (out sick) 2011-04-12 21:15:16 PDT
(In reply to comment #1)
> The patch makes new iid for nsIDOMCSS2Properties. And xbl-forms.css has been
> already removed from tree.

If it's not too complicated, a patch which disables this at compile time is preferred here, as this might live on trunk for a while before shipping it in a release...
Comment 3 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-04-12 21:26:04 PDT
I wouldn't worry about that; I think bug 647421 can happen quickly enough.
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-04-12 21:27:19 PDT
That said, I'd be fine with #ifdef-ing the new properties on mozilla-central.  Just don't #ifdef the other changes in the patch.
Comment 5 Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-04-12 23:05:00 PDT
(In reply to comment #3)
> I wouldn't worry about that; I think bug 647421 can happen quickly enough.

Do you think that the check in rule for aurora allows to fix bug 647421?
Comment 6 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-04-13 10:34:08 PDT
(In reply to comment #5)
> Do you think that the check in rule for aurora allows to fix bug 647421?

no.
Comment 7 Benjamin Smedberg [:bsmedberg] 2011-04-13 12:17:15 PDT
backouts approved for aurora
Comment 8 Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-04-13 17:45:09 PDT
If we disable the feature by #ifdef, doesn't it cause "Unknown property" warnings due to forms.css? I'd like to back out by the patch.
Comment 9 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-04-13 22:10:49 PDT
For Aurora, back out the patch(es).
Comment 10 Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-04-18 04:59:54 PDT
http://hg.mozilla.org/mozilla-aurora/rev/da979a4892ac

Note You need to log in before you can comment on or make changes to this bug.